SerializableObjectRefAddr (ActiveMQ Artemis Web 1.1.0.wildfly-010 API)
Date: 2015-12-18

org.apache.activemq.artemis.jms.referenceable

## Class SerializableObjectRefAddr

- java.lang.Object
- - javax.naming.RefAddr
  - - org.apache.activemq.artemis.jms.referenceable.SerializableObjectRefAddr

- All Implemented Interfaces:
    Serializable

      public class SerializableObjectRefAddr
      extends RefAddr

  A SerializableObjectRefAddr. A RefAddr that can be used for any serializable object. Basically the address is the serialized form of the object as a byte[]
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.naming.RefAddr

      `addrType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SerializableObjectRefAddr(String type, Object content)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Object` | `deserialize(byte[] bytes)`
    `Object` | `getContent()`

    - ### Methods inherited from class javax.naming.RefAddr

      `equals, getType, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SerializableObjectRefAddr

          public SerializableObjectRefAddr(String type,
                                           Object content)
                                    throws NamingException

      Throws:
        `NamingException`

  - ### Method Detail

    - #### getContent

          public Object getContent()

      Specified by:
        `getContent` in class `RefAddr`

    - #### deserialize

          public static Object deserialize(byte[] bytes)
                                    throws IOException,
                                           ClassNotFoundException

      Throws:
        `IOException`
        `ClassNotFoundException`

Copyright © 2015. All rights reserved.